Bug 1043899 - (CVE-2017-8871) VUL-1: CVE-2017-8871: libcroco: Denial of service (infinite loop and CPU consumption) via a crafted CSS file
(CVE-2017-8871)
VUL-1: CVE-2017-8871: libcroco: Denial of service (infinite loop and CPU cons...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/186612/
CVSSv3:NVD:CVE-2017-8871:6.5:(AV:N/AC...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 15:18 UTC by Johannes Segitz
Modified: 2020-09-16 11:02 UTC (History)
6 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Reproducer (3.77 KB, text/css)
2017-06-12 15:18 UTC, Johannes Segitz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-06-12 15:18:39 UTC
Created attachment 728659 [details]
Reproducer

CVE-2017-8871

The cr_parser_parse_selector_core function in cr-parser.c in libcroco 0.6.12
allows remote attackers to cause a denial of service (infinite loop and CPU
consumption) via a crafted CSS file.

csslint-0.6 --dump-location libcroco_0_6_12_infinite_loop.css

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-8871
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-8871
https://bugzilla.gnome.org/show_bug.cgi?id=782649
Comment 3 xiaoguang wang 2019-04-25 08:04:57 UTC
Okay. Recently I'm busy on the L3 bugs, if I have time I will look into it.
Comment 5 Swamp Workflow Management 2019-05-03 20:50:21 UTC
This is an autogenerated message for OBS integration:
This bug (1043899) was mentioned in
https://build.opensuse.org/request/show/700495 Factory / libcroco
Comment 8 Swamp Workflow Management 2019-05-23 11:26:07 UTC
An update workflow for this issue was started.
This issue was rated as low.
Please submit fixed packages until 2019-06-20.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/64288
Comment 9 Swamp Workflow Management 2019-06-12 13:11:17 UTC
SUSE-SU-2019:1468-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1034481,1034482,1043898,1043899
CVE References: CVE-2017-7960,CVE-2017-7961,CVE-2017-8834,CVE-2017-8871
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libcroco-0.6.11-12.3.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libcroco-0.6.11-12.3.1
SUSE Linux Enterprise Server 12-SP4 (src):    libcroco-0.6.11-12.3.1
SUSE Linux Enterprise Server 12-SP3 (src):    libcroco-0.6.11-12.3.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    libcroco-0.6.11-12.3.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    libcroco-0.6.11-12.3.1
SUSE CaaS Platform ALL (src):    libcroco-0.6.11-12.3.1
SUSE CaaS Platform 3.0 (src):    libcroco-0.6.11-12.3.1
OpenStack Cloud Magnum Orchestration 7 (src):    libcroco-0.6.11-12.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2019-06-18 16:40:57 UTC
openSUSE-SU-2019:1575-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1034481,1034482,1043898,1043899
CVE References: CVE-2017-7960,CVE-2017-7961,CVE-2017-8834,CVE-2017-8871
Sources used:
openSUSE Leap 42.3 (src):    libcroco-0.6.11-5.3.1
Comment 11 Swamp Workflow Management 2020-06-04 13:17:13 UTC
SUSE-SU-2020:1535-1: An update that fixes two vulnerabilities is now available.

Category: security (low)
Bug References: 1043898,1043899
CVE References: CVE-2017-8834,CVE-2017-8871
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libcroco-0.6.12-4.3.51

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-06-08 04:16:38 UTC
openSUSE-SU-2020:0780-1: An update that fixes two vulnerabilities is now available.

Category: security (low)
Bug References: 1043898,1043899
CVE References: CVE-2017-8834,CVE-2017-8871
Sources used:
openSUSE Leap 15.1 (src):    libcroco-0.6.12-lp151.4.3.1
Comment 13 Alexandros Toptsoglou 2020-07-10 15:05:07 UTC
Done